RegionClearOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: RegionClearOperationContext

Package org.apache.geode.cache.operations

# Class RegionClearOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.RegionOperationContext
org.apache.geode.cache.operations.RegionClearOperationContext

@Deprecated public class RegionClearOperationContext extends RegionOperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a `OperationContext.OperationCode.REGION_CLEAR` operation for both the pre-operation and post-operation cases.

Since:
  GemFire 5.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionClearOperationContext(boolean postOperation)`
  Deprecated.
  Default constructor for the region operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.

  ### Methods inherited from class org.apache.geode.cache.operations.RegionOperationContext

  `getCallbackArg, isPostOperation, setCallbackArg`

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegionClearOperationContext

    public RegionClearOperationContext(boolean postOperation)
    Deprecated.
    Default constructor for the region operation.
    Parameters:
      `postOperation` - true to set the post-operation flag

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Specified by:
      `getOperationCode` in class `RegionOperationContext`
    Returns:
      `OperationCode.REGION_CLEAR`.